LibreOffice LibreOffice 5.3 SDK C/C++ API Reference

Public Member Functions | List of all members
cppu::EnvGuard Class Reference

Environment Guard The provided Environment becomes entered in the constructor and left in the destructor. More...

`#include <EnvGuards.hxx>`

## Public Member Functions
| EnvGuard (css::uno::Environment const &env)
| ~EnvGuard ()
bool | is () const
| Checks if the associated environment is non empty. More...
void | clear ()
| Leaves the associated environment and clears the reference. More...

## Detailed Description

Environment Guard The provided Environment becomes entered in the constructor and left in the destructor.

(http://wiki.openoffice.org/wiki/Uno/Cpp/Spec/Environment_Guard)

Since
  UDK 3.2.7

## Constructor & Destructor Documentation

## ◆ EnvGuard()

cppu::EnvGuard::EnvGuard | ( | css::uno::Environment const & | env | ) |
| inline explicit

## ◆ ~EnvGuard()

cppu::EnvGuard::~EnvGuard | ( |  | ) |
| inline

## Member Function Documentation

## ◆ clear()

void cppu::EnvGuard::clear | ( |  | ) |
| inline

Leaves the associated environment and clears the reference.

## ◆ is()

bool cppu::EnvGuard::is | ( |  | ) | const
| inline

Checks if the associated environment is non empty.

Returns
  0 == empty, 1 == non empty

The documentation for this class was generated from the following file:

- cppu/EnvGuards.hxx